%define major           1
%define libname         %mklibname uv %{major}
%define develname       %mklibname uv -d
%define staticdevelname %mklibname uv -d -s

Name:           libuv
Version:        1.46.0
Release:        %mkrel 1
Summary:        Platform layer for node.js
# the licensing breakdown is described in detail in the LICENSE file
License:        MIT and BSD and ISC
Group:          System/Libraries
URL:            https://libuv.org/
Source0:        https://dist.libuv.org/dist/v%{version}/%{name}-v%{version}.tar.xz
Source2:        libuv.pc.in
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{libname}
Summary:        Platform layer for node.js
Group:          Development/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{develname}
Summary:        Development libraries for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries for %{name}.

%package -n     %{staticdevelname}
Summary:        Platform layer for node.js - static library
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{staticdevelname}
Static library (.a) version of %{name}.

%prep
%setup -q -n %{name}-v%{version}
%apply_patches

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%check
# Tests are currently disabled because some require network access
# Working with upstream to split these out
#./run-tests
#./run-benchmarks

%files -n %{libname}
%{_libdir}/libuv.so.%{major}*

%files -n %{develname}
%{_libdir}/libuv.so
%{_libdir}/pkgconfig/libuv.pc
%{_includedir}/uv*.h
%{_includedir}/uv/*.h

%files -n %{staticdevelname}
%{_libdir}/libuv.a


%changelog
* Mon Aug 21 2023 tex - 1.46.0-1pclos2023
- new version

* Tue Jul 12 2022 tex - 1.44.2-1pclos2022
- Update to version 1.44.2
